ports/opt (3.4): [notify] python3-pip: update to remove bootstrap code dependency change python3 -> python3-setuptools

crux at crux.nu crux at crux.nu
Sun Jul 1 11:40:02 UTC 2018


commit b628231213dda1937e25a861ff0906703e68ed5c
Author: Danny Rawlins <monster.romster at gmail.com>
Date:   Mon Jul 2 07:30:29 2018 +1000

    [notify] python3-pip: update to remove bootstrap code dependency change python3 -> python3-setuptools

diff --git a/python3-pip/.md5sum b/python3-pip/.md5sum
index 9d5d3475a..0506d3a62 100644
--- a/python3-pip/.md5sum
+++ b/python3-pip/.md5sum
@@ -1,2 +1 @@
-a73d0534575b904d17913889dce5bd99  get-pip.py
 83a177756e2c801d0b3a6f7b0d4f3f7e  pip-10.0.1.tar.gz
diff --git a/python3-pip/.signature b/python3-pip/.signature
index dc3d47a6f..083879b30 100644
--- a/python3-pip/.signature
+++ b/python3-pip/.signature
@@ -1,6 +1,5 @@
 untrusted comment: verify with /etc/ports/opt.pub
-RWSE3ohX2g5d/b1mKezUrUYrFBH4P6FJCvk41ohhZCzZOkfAZfAeUk7+kBKDfWIyJG+yTH/sPZMPktkwxI57qBnfBRok0RHxfw0=
-SHA256 (Pkgfile) = b28193f24d36b9a009f68d947e4467ab5ed6b91e8cf432e387dfbdb280e4330c
+RWSE3ohX2g5d/U3IZadF3XbIkgQE3djm3BiQs//h07VJIum06r39vvfWwzE7bfOuuNQ2JrpyutVcIH+Dd05Q6MSaxr+jPgSH2g8=
+SHA256 (Pkgfile) = 372a025e3c1c4eb03da1e62d9ce1af750082d97506dec332a14d855f80698ec1
 SHA256 (.footprint) = 5fb04bb66e38576c4f605259acafe4c8ac3a85fd3c64800c870438509e57e7bc
 SHA256 (pip-10.0.1.tar.gz) = f2bd08e0cd1b06e10218feaf6fef299f473ba706582eb3bd9d52203fdbd7ee68
-SHA256 (get-pip.py) = c21805790f7fa317f09798303281e33f9559096123f713e90a22567c88d28d40
diff --git a/python3-pip/Pkgfile b/python3-pip/Pkgfile
index 6a67a5f4f..695ada020 100644
--- a/python3-pip/Pkgfile
+++ b/python3-pip/Pkgfile
@@ -1,44 +1,20 @@
 # Description: A tool for installing and managing Python packages.
 # URL: https://pypi.python.org/pypi/pip/
 # Maintainer: Danny Rawlins, crux at romster dot me
-# Depends on: python3
+# Depends on: python3-setuptools
 
 name=python3-pip
 version=10.0.1
-release=1
-source=(https://files.pythonhosted.org/packages/source/${name:8:1}/${name#*-}/${name#*-}-$version.tar.gz
-	https://crux.ster.zone/downloads/get-pip.py
-#	https://bootstrap.pypa.io/get-pip.py
-)
+release=2
+source=(https://files.pythonhosted.org/packages/source/${name:8:1}/${name#*-}/${name#*-}-$version.tar.gz)
 
 build() {
 	cd ${name#*-}-$version
 
-	if [ "$(pkginfo -i | egrep -c '^python3-(setuptools|appdirs|pyparsing|six|packaging) ')" != 5 ]; then
-		printf "\e[031mWarning: $name now requires python3-setuptools to function and can not be added,
-as a dependency to $name as this will cause a cyclic dependency loop.
-Please prt-get depinst python3-setuptools to use $name.\033[0m\n"
-	fi
+	/usr/bin/python3 setup.py build
 
-	if [ "$(pkginfo -i | egrep -c '^python3-(setuptools|appdirs|pyparsing|six|pip|packaging) ')" != 6 ]; then
-		install -d build
-		sed -i 's/"--upgrade"/"--upgrade", "--upgrade-strategy", "only-if-needed"/' $SRC/get-pip.py
-		/usr/bin/python3 $SRC/get-pip.py --root=$SRC/build
-
-		local PYTHONVERSION=$(/usr/bin/python3 -c 'import sys; print("%s.%s" % sys.version_info[:2])')
-
-		PYTHONPATH=$SRC/build/usr/lib/python$PYTHONVERSION/site-packages \
-			/usr/bin/python3 setup.py build
-
-		PYTHONPATH=$SRC/build/usr/lib/python$PYTHONVERSION/site-packages \
-			/usr/bin/python3 setup.py install \
-			--prefix=/usr --root=$PKG --optimize=1
-	else
-		/usr/bin/python3 setup.py build
-
-		/usr/bin/python3 setup.py install \
-			--prefix=/usr --root=$PKG --optimize=1
-	fi
+	/usr/bin/python3 setup.py install \
+		--prefix=/usr --root=$PKG --optimize=1
 
 	rm $PKG/usr/bin/pip
 	chmod -R og-w $PKG


More information about the CRUX mailing list